Zum Inhalt springen
meniodevelopermenio DashboardVorschau

POST tokens/{id}/dispose · POS API

POST tokens/{id}/dispose

POS API v3tokens
POST/tokens/{id}/dispose

Releases the token for reuse by a new consumer. Possible credit balance behind this token expires without replacement.

*Please form a checksum (see Security-Token) for the ** {id} *and specify it in the 'SecurityToken' header.

Parameter

idstringErforderlich

Enter the token read from a carrier medium that you want to release for reuse.

Beispiel: 'cardId123'

Request-Header

DevKey
{Your Key}
TrackingUnitId
{trackingUnitId}
SecurityToken
{checksum over {id}}
Kontext: tokens

Tokens are arbitrary, but always different, non-repeatable strings, which can be used for identification purposes as well as for of a consumer ('consumer') as well as for the identification of a credit balance ('balance'). As a rule these tokens are stored on any carrier medium and sent to a consumer in the form of a 'customer card' or 'gift card handed over. The consumer will have to present this carrier medium at the POS with his next purchases in order to access the to be able to access credit or to be credited with menio-Rewards.

Originaler Blueprint-Ausschnitt
API Blueprint
### POST tokens/{id}/dispose [POST]
Releases the token for reuse by a new consumer. Possible credit balance
behind this token expires without replacement.

*Please form a checksum (see [Security-Token](#introduction/basic/security-token)) for the ** **{id}** *and specify it in the 'SecurityToken' header.

+ Parameters
    + id (string, `'cardId123'`) ... Enter the token read from a carrier medium that you want to release for reuse. 

+ Request

    + Headers

            DevKey: {Your Key}
            TrackingUnitId: {trackingUnitId}
            SecurityToken: {checksum over {id}}

+ response 200

+ response 500

        // HTTP-InternalServerError: An unknown problem occurred during processing
        {
            "ErrorMessage": "some explanation"
            "StackTrace": "text"
        }

+ response 403

        // HTTP-Forbidden: trackingUnitId is not yet activated by the merchant
            
+ Response 401

        // HTTP-Unauthorized: DevKey, trackingUnitId or SecurityToken not specified/wrong
            
+ response 400

        {
            "ErrorId":13000,
            "ErrorText": "Details of the error"
        }
        
        // here all possible error codes incl. texts for this resource
        // 13001: token unknown